Doorzoek het forum

Trefwoord

Welkom bij Joomla!NL

Om alle mogelijkheden van dit forum te kunnen gebruiken, moet je je eerst registreren.

× Vermeld in iedere vraag duidelijk:
  1. De versie van Joomla! 3.X die je gebruikt
  2. De volledige url van je website indien mogelijk.
  3. De versie van de extensie waar de vraag over gaat.

Template Bootstrap 3 geschikt voor Joomla4

27 mrt 2019 23:22
Heeft onderwerp gestart
Template Bootstrap 3 geschikt voor Joomla4 #1
Ik ben me een beetje aan het verdiepen in Joomla 4 en las dat Joomla 4 gebouwd wordt met Bootstrap 4.

Gaat dit bij de overgang van Joomla 3 naar 4 problemen opleveren met templates en extensies/modules/plugins die gebouwd zijn met Bootstrap 3? Of wordt het een one-click-update zonder problemen?

Verstuurd vanaf mijn SM-J730F met Tapatalk

Joomla! websites en ontspannen vakantie in de Harz!
www.twinfish-webdesign.com | www.haus-christa-braunlage.com
David
Vaste bezoeker van Joomla!NL
Vaste bezoeker van Joomla!NL
Berichten: 1003
Meer
28 mrt 2019 12:41
Heeft onderwerp gestart
Template Bootstrap 3 geschikt voor Joomla4 #2
Ik heb inmiddels een Developer Version van Joomla 4 gedownload en via Xampp werkend.
Echter, als ik daar een Bootstrap 3 Template installeer en als Default maak, stort de website in met allerlei foutmeldingen.
Lijkt er dus op dat Bootstrap 3 en Bootstrap 4 elkaar bijten.

Betekent dat concreet dat, als Joomla 4 uitkomt, alle websites met Joomla 3 en Bootstrap 3 opnieuw gebouwd moeten worden?
Ik heb namelijk nu alleen een template geinstalleerd en kreeg daar dus een foutmelding; dit zal bij plug-ins en modules hetzelfde zijn.

Iemand een idee hoe dit gaat verlopen bij de overgang?

Joomla! websites en ontspannen vakantie in de Harz!
www.twinfish-webdesign.com | www.haus-christa-braunlage.com
David
Vaste bezoeker van Joomla!NL
Vaste bezoeker van Joomla!NL
Berichten: 1003
Meer
28 mrt 2019 13:28 28 mrt 2019 13:40 door Jelle.
Template Bootstrap 3 geschikt voor Joomla4 #3
Misschien helpt deze informatie?
docs.joomla.org/Potential_backward_compatibility_issues_in_Joomla_4

Joomla 4.0 is Joomla’s volgende major versie. Joomla 3.10 zal uitgebracht worden naast Joomla 4 als de laatste minor release van Joomla 3 zoals aangekondigd. Joomla 3.10 zal nog 2 jaar ondersteund worden, wat je genoeg tijd geeft om je migratie naar Joomla 4 te plannen en je extensies bij te werken (inden noodzakelijk) om een Joomla 4 compatibele versie te worden.

Groeten, Jelle
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum eens.
Vragen via dit Forum (niet per PM of E-mail)
Is je vraag opgelost? Dan kan je hem zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Jelle
Algemeen Moderator
Algemeen Moderator
Berichten: 13161
Meer
02 apr 2019 13:00
Template Bootstrap 3 geschikt voor Joomla4 #4
Het overzetten van een template hoeft niet heel veel werkt te zijn. Er zijn wat class/id-names aangepast in Bootstrap 4.
Als je daar op let in je template dan kom je een heel eind. Bekijk ook zeker de Cassiopeia template van Joomla! 4.

Een goede referentie voor de veranderingen van Bootstrap 3 naar 4 heb ik hier gevonden: http://upgrade-bootstrap.bootply.com/

Succes!

The truth is out there. Anybody got the URL?
UWiX
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 4
Meer
04 apr 2019 08:19
Heeft onderwerp gestart
Template Bootstrap 3 geschikt voor Joomla4 #5
Dank, ik zal er naar kijken.
Heb trouwens geprobeerd om een Bootstrap 4 template te installeren op mijn lokale J4 versie maar dat werkt niet.
Is dat omdat de J4 nog een developer versie is?

Verstuurd vanaf mijn SM-J730F met Tapatalk

Joomla! websites en ontspannen vakantie in de Harz!
www.twinfish-webdesign.com | www.haus-christa-braunlage.com
David
Vaste bezoeker van Joomla!NL
Vaste bezoeker van Joomla!NL
Berichten: 1003
Meer
04 apr 2019 09:49
Template Bootstrap 3 geschikt voor Joomla4 #6
Om welke template gaat het? Is deze Joomla! 4 geschikt? Krijg je foutmeldingen? Zijn de juiste modules ingesteld?
Dat zijn de eerste dingen die in mij opkomen; mogelijk dat ik met een screenshot en wat meer info je op weg kan helpen :-)

The truth is out there. Anybody got the URL?
UWiX
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 4
Meer
04 apr 2019 10:37
Heeft onderwerp gestart
Template Bootstrap 3 geschikt voor Joomla4 #7
Joomla 4 geschikt staat er niet specifiek bij, het gaat om Helix Ultimate. Daar wordt ook van gezegd dat de template geschikf is voor J4 ivm Bootstrap 4.

Verstuurd vanaf mijn SM-J730F met Tapatalk

Joomla! websites en ontspannen vakantie in de Harz!
www.twinfish-webdesign.com | www.haus-christa-braunlage.com
David
Vaste bezoeker van Joomla!NL
Vaste bezoeker van Joomla!NL
Berichten: 1003
Meer
04 apr 2019 11:00 04 apr 2019 11:14 door UWiX. Reden: Wat aanvullingen op mijn reactie.
Template Bootstrap 3 geschikt voor Joomla4 #8
Helix Ultimate gebruikt plugins welke nog niet up-to-date zijn met Joomla! 4. De eerste foutmelding die ik krijg in de backend:
Call to undefined method Joomla\CMS\Application\AdministratorApplication::isAdmin()

En dat kan kloppen want de laatste alpha bevat deze deprecated isAdmin() functie idd niet meer. Hoewel de Helix Ultiamte template BootStrap 4 gebruikt is deze niet Joomla! 4 ready. Stap-voor-stap de fouten eruit filteren en vervangen voor goede code is voor nu de oplossing betreffende de Helix Template.

Wat nog best wel eens wat werk kan kosten. Er verschijnen verschillende foutmeldingen nadat ik de isAdmin() functie heb vervangen in de front-end. Ik zie in de code wel dat er voor de allereerste J!4 alpha aanpassingen zijn gedaan maar er zal een grote inhaals slag nodig zijn voor de template en de library van Helix om goed werkend te worden in J!4.
Er wordt bijvoorbeeld niet gewerkt met namespaces en de hierdoor staan er nog veel legacy verwijzingen die uiteindelijk niet meer gaan werken in J!4.

Of je zult zelf aan de slag moeten om de boel aan te passen of nog even geduld hebben totdat de makers meegaan met de j!4 standaard :-)

The truth is out there. Anybody got the URL?
UWiX
Nieuw op Joomla!NL
Nieuw op Joomla!NL
Berichten: 4
Meer
04 apr 2019 19:48
Heeft onderwerp gestart
Template Bootstrap 3 geschikt voor Joomla4 #9
Gezien de te verwachten hoeveelheid werk om een template om te bouwen, wacht ik eerst maar af waarmee de ontwikkelaars van de templates gaan komen.
Mag wat mij betreft een slotje op.

Joomla! websites en ontspannen vakantie in de Harz!
www.twinfish-webdesign.com | www.haus-christa-braunlage.com
David
Vaste bezoeker van Joomla!NL
Vaste bezoeker van Joomla!NL
Berichten: 1003
Meer
04 apr 2019 19:49
Template Bootstrap 3 geschikt voor Joomla4 #10
Dank je wel voor de terugkoppeling.

Dan sluiten wij hierbij het topic.

Groeten, Romke
Voordat je een vraag post, gebruik eerst de zoekfunctie van ons forum eens.
Vragen via dit Forum (niet per PM of E-mail)
Is je vraag opgelost? Dan kan je hem zelf sluiten .
Wil je Joomla!NL steunen? Dat kan met een donatie.

Deze afbeelding is verborgen voor gasten.
Login of registreer om deze te zien.

Romke
Algemeen Moderator
Algemeen Moderator
Berichten: 3307
Meer
Moderators: PeterJuliank92JelleRomke
Tijd voor maken pagina: 0.469 seconden

Wil je Joomla!NL steunen?

Steun Joomla!NLAlle teamleden werken enthousiast, op vrijwillige basis, mee aan Joomla!NL. Maar een website met forum kost nu eenmaal geld. Dus als je Joomla!NL wilt steunen, dan kan dat, graag zelfs!

Lees hier meer informatie

Joomla!NL op Twitter

Vandaag is Joomla! 3.9.12 vrijgegeven. Deze versie repareert 1 veiligheidsrisico en diverse bugs. Verder bevat het… https://t.co/3U3BJFQG6i

De naam Joomla!® en logo worden gebruikt onder een beperkte licentie met toestemming van Open Source Matters.
Joomlanl.nl is niet verbonden aan en is geen onderdeel van Open Source Matters, Inc, of het Joomla! project.

© 2019 - Joomla!NL | Gehost door Wned